Skip to main content
POST
/
api
/
analytics
/
shopping
/
merchants
/
{merchantId}
/
products
Products for a specific merchant (paginated)
curl --request POST \
  --url https://api.mentionlab.io/api/analytics/shopping/merchants/{merchantId}/products \
  --header 'Content-Type: application/json' \
  --header 'x-project-id: <x-project-id>' \
  --data '
{
  "startDate": "2025-01-01",
  "endDate": "2025-02-01",
  "country": "<string>",
  "language": "<string>",
  "models": [
    "<string>"
  ],
  "hasSources": true,
  "hasShopping": true,
  "queryTagIds": [
    "<string>"
  ],
  "execTagIds": [
    "<string>"
  ],
  "queryTagMode": "or",
  "execTagMode": "or",
  "page": 1,
  "pageSize": 50
}
'
{
  "products": [
    {
      "productId": "550e8400-e29b-41d4-a716-446655440000",
      "productName": "iPhone 15 Pro",
      "brandName": "Apple",
      "share": 15,
      "minPrice": 799,
      "maxPrice": 1199,
      "avgPrice": 999,
      "avgRating": 4.5,
      "reviewCount": 2300,
      "avgPosition": 2.3
    }
  ],
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  }
}

Headers

x-project-id
string
required

Project ID to specify the project context

Path Parameters

merchantId
string
required

Body

application/json
startDate
string

Start date (inclusive)

Example:

"2025-01-01"

endDate
string

End date (exclusive)

Example:

"2025-02-01"

country
string

Filter by country code

language
string

Filter by language code

models
string[]

Filter by AI models

hasSources
boolean

Filter by responses that have sources

hasShopping
boolean

Filter by responses that have shopping products

queryTagIds
string[]

Filter by query tag IDs

execTagIds
string[]

Filter by execution tag IDs

queryTagMode
enum<string>
default:or

Query tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
execTagMode
enum<string>
default:or

Execution tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
page
number
default:1

Page number (1-based).

pageSize
number
default:50

Items per page (max 200).

Response

200 - application/json
products
object[]
required

Products for this merchant, paginated.

page
object
required

Pagination metadata.